summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Jaeger <aj@suse.com>2018-01-31 09:06:53 +0100
committerAndreas Jaeger <aj@suse.com>2018-01-31 09:16:04 +0100
commit99796ebb7f3cb27f89b4895604e7ebf39673c3ad (patch)
tree82c1663787a5b51960c36ed94590c940331832a3
parent8b6260e10f7cfbd204fc9bef9345f332160b1b08 (diff)
Update requirements manually
The global requirments sync for this repo fails since it lists packages that are not in the global list. Manually sync requirements. Failure log from requirements sync: http://logs.openstack.org/d8/d89aad257d43fe02e42e44b2a0187dbd9f505c36/post/propose-update-requirements/15a7777/job-output.txt.gz#_2018-01-31_06_57_19_908947 Errors are: 'jira' is not in global-requirements.txt or blacklist.txt Change-Id: If85ee1bf750d310f7a3d2f52c6fd224a9ed822a2
Notes
Notes (review): Code-Review+2: Witold Bedyk <witold.bedyk@est.fujitsu.com> Workflow+1: Witold Bedyk <witold.bedyk@est.fujitsu.com> Verified+2: Zuul Submitted-by: Zuul Submitted-at: Wed, 31 Jan 2018 09:53:26 +0000 Reviewed-on: https://review.openstack.org/539449 Project: openstack/monasca-notification Branch: refs/heads/master
-rw-r--r--requirements.txt12
-rw-r--r--setup.cfg4
-rw-r--r--test-requirements.txt12
3 files changed, 14 insertions, 14 deletions
diff --git a/requirements.txt b/requirements.txt
index 63dd412..13ecd5e 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -1,12 +1,12 @@
1# The order of packages is significant, because pip processes them in the order 1# The order of packages is significant, because pip processes them in the order
2# of appearance. Changing the order has an impact on the overall integration 2# of appearance. Changing the order has an impact on the overall integration
3# process, which may cause wedges in the gate later. 3# process, which may cause wedges in the gate later.
4pbr>=2.0.0,!=2.1.0 # Apache-2.0 4pbr!=2.1.0,>=2.0.0 # Apache-2.0
5debtcollector>=1.2.0 # Apache-2.0 5debtcollector>=1.2.0 # Apache-2.0
6monasca-statsd>=1.1.0 # Apache-2.0 6monasca-statsd>=1.1.0 # Apache-2.0
7requests>=2.14.2 # Apache-2.0 7requests>=2.14.2 # Apache-2.0
8PyYAML>=3.10 # MIT 8PyYAML>=3.10 # MIT
9six>=1.9.0 # MIT 9six>=1.10.0 # MIT
10monasca-common>=1.4.0 # Apache-2.0 10monasca-common>=1.4.0 # Apache-2.0
11oslo.config>=4.6.0 # Apache-2.0 11oslo.config>=5.1.0 # Apache-2.0
12oslo.log>=3.30.0 # Apache-2.0 12oslo.log>=3.36.0 # Apache-2.0
diff --git a/setup.cfg b/setup.cfg
index d40653c..c49688f 100644
--- a/setup.cfg
+++ b/setup.cfg
@@ -35,5 +35,5 @@ universal = 1
35 35
36[extras] 36[extras]
37jira_plugin = 37jira_plugin =
38 jira 38 jira
39 jinja2 39 Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
diff --git a/test-requirements.txt b/test-requirements.txt
index b5fb958..73c420e 100644
--- a/test-requirements.txt
+++ b/test-requirements.txt
@@ -4,14 +4,14 @@
4# Hacking already pins down pep8, pyflakes and flake8 4# Hacking already pins down pep8, pyflakes and flake8
5 5
6bandit>=1.1.0 # Apache-2.0 6bandit>=1.1.0 # Apache-2.0
7Babel>=2.3.4,!=2.4.0 # BSD 7Babel!=2.4.0,>=2.3.4 # BSD
8hacking!=0.13.0,<0.14,>=0.12.0 # Apache-2.0 8hacking!=0.13.0,<0.14,>=0.12.0 # Apache-2.0
9coverage>=4.0,!=4.4 # Apache-2.0 9coverage!=4.4,>=4.0 # Apache-2.0
10mock>=2.0.0 # BSD 10mock>=2.0.0 # BSD
11funcsigs>=1.0.0;python_version=='2.7' or python_version=='2.6' # Apache-2.0 11funcsigs>=1.0.0;python_version=='2.7' or python_version=='2.6' # Apache-2.0
12os-testr>=1.0.0 # Apache-2.0 12os-testr>=1.0.0 # Apache-2.0
13oslotest>=1.10.0 # Apache-2.0 13oslotest>=3.2.0 # Apache-2.0
14testrepository>=0.0.18 # Apache-2.0/BSD 14testrepository>=0.0.18 # Apache-2.0/BSD
15SQLAlchemy>=1.0.10,!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8 # MIT 15SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
16PyMySQL>=0.7.6 # MIT License 16PyMySQL>=0.7.6 # MIT License
17psycopg2>=2.6.2 # LGPL/ZPL 17psycopg2>=2.6.2 # LGPL/ZPL